Bug 409502 - Entries related to some apps are missing under "Application addons"
Summary: Entries related to some apps are missing under "Application addons"
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: KNewStuff Backend (show other bugs)
Version: 5.16.90
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-04 19:53 UTC by Patrick Silva
Modified: 2019-10-09 16:27 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 19.12.0


Attachments
entries related to Konsole, Kmail and K3b are missing (11.56 KB, image/png)
2019-07-04 19:53 UTC, Patrick Silva
Details
entry related to K3b is missing on Neon unstable edition (8.12 KB, image/jpeg)
2019-07-04 19:54 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2019-07-04 19:53:46 UTC
Created attachment 121326 [details]
entries related to Konsole, Kmail and K3b are missing

SUMMARY
I have Konsole, Kmail and K3b installed on my system.
However, the entries related to such apps are missing
under "Application addons" section of Discover.
On Neon unstable edition I have the same apps installed
but the entry related to K3b is also missing on such system.
Compare the attached screenshots.

STEPS TO REPRODUCE
1. install Konsole, Kmail and K3b
2. open Discover, click "Application addons" in the left side
3. 


EXPECTED RESULT
we can install addons for Konsole, Kmail and K3b via Discover.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.16.2
KDE Frameworks Version: 5.59.0
Qt Version: 5.13
Comment 1 Patrick Silva 2019-07-04 19:54:49 UTC
Created attachment 121327 [details]
entry related to K3b is missing on Neon unstable edition
Comment 2 Nate Graham 2019-07-15 21:37:32 UTC
Dan, can you take a look?
Comment 3 Patrick Silva 2019-09-05 17:05:38 UTC
Entries related to Konsole and Kmail are listed again.
K3b entry is still missing.

Operating System: Arch Linux 
KDE Plasma Version: 5.16.5
KDE Frameworks Version: 5.61.0
Qt Version: 5.13.1
Comment 4 Aleix Pol 2019-10-09 15:10:23 UTC
Git commit 7c7f13a849dee25c38f00507c06a169e693e05a5 by Aleix Pol.
Committed on 09/10/2019 at 15:09.
Pushed by apol into branch 'master'.

kns: install knsrc file in the new recommended location

M  +6    -1    src/CMakeLists.txt

https://commits.kde.org/k3b/7c7f13a849dee25c38f00507c06a169e693e05a5